<template>
  <div class="airConditioner-warp" :style="{
    backgroundImage:
      'url(' +
      require(`../../assets/images/airConditioner/${conditionerBg}.webp`) +
      ')',
  }">
    <div class="airConditioner-right-header">
      <div class="airConditioner-right-header-item" v-for="(item, index) in navList" :key="index"
        :class="item.active ? 'item-active' : ''" @click="changeNav(index)">
        <svg-icon :iconClass="item.iconName" :class="item.iconName" v-if="item.iconName"></svg-icon>
        <div v-if="item.itemFont">{{ item.itemFont }}</div>
        <span v-if="item.itemSpan">{{ item.itemSpan }}</span>
        <span class="itemSpan2" v-if="item.itemSpan2">{{
          item.itemSpan2
        }}</span>
      </div>
    </div>
    <div class="airConditioner-right-contentLeft">
      <TempVerticalModel name="主驾"></TempVerticalModel>
    </div>
    <div class="airConditioner-right-contentRight">
      <TempVerticalModel name="副驾"></TempVerticalModel>
    </div>
    <div class="airConditioner-right-contentBottom-buttun" v-if="showBottomButtun">
      <div class="buttun-warp">
        <div class="buttun2 buttun-left" v-if="saofengSelection.left" @click="changeSaoFeng('left')">
          <svg-icon iconClass="air_lefts" class="air_lefts"></svg-icon>
          {{ saoList.filter(item => item.fontActive)[0].font }}
        </div>
        <div class="buttun3 buttun-left" v-else @click="changeSaoFeng('left')">
          <div v-for="(item, index) in saoList" :key="index" :class="item.fontActive ? 'acitve' : ''"  @click="selectSaoFeng({ ...item, tag: 'left' })">
            {{ item.font }}
          </div>
        </div>
        <div class="buttun1" :class="saofengSelection.mid ? 'active' : ''" @click="changeSaoFeng('mid')">
          智能风
        </div>
        <div class="buttun2 buttun-right" v-if="saofengSelection.right" @click="changeSaoFeng('right')">
          <span class="marginZLeft">{{ saoList2.filter(item => item.fontActive)[0].font }}</span>
          <svg-icon iconClass="air_rights" class="air_rights"></svg-icon>
        </div>
        <div class="buttun3 buttun-right" v-else @click="changeSaoFeng('right')">
          
          <div v-for="(item, index) in saoList2" :key="index" :class="item.fontActive ? 'acitve' : ''"  @click="selectSaoFeng({...item,tag:'right'})">
            {{ item.font }}
          </div>
        </div>
      </div>
    </div>
    <div class="airConditioner-right-contentBottom">
      <div class="contentBottomButtun">分控</div>
      <div class="contentBottomMid">
        <svg-icon iconClass="air_zuo1" class="air-zuo-icon" :class="bottomSelection.select1 ? 'active' : ''"
          @click="changeBottomSelect('select1')"></svg-icon>
        <svg-icon iconClass="air_zuo2" class="air-zuo-icon" :class="bottomSelection.select2 ? 'active' : ''"
          @click="changeBottomSelect('select2')"></svg-icon>
        <svg-icon iconClass="air_zuo3" class="air-zuo-icon" :class="bottomSelection.select3 ? 'active' : ''"
          @click="changeBottomSelect('select3')"></svg-icon>
      </div>
      <div class="contentBottomRight">
        <AirStrip></AirStrip>
      </div>
    </div>
  </div>
</template>
<script>
import AirStrip from "@/components/AirStrip.vue";
import TempVerticalModel from "@/components/TempVerticalModel.vue";

export default {
  name: "Conditioner",
  data() {
    return {
      conditionerBg: "samBk5",
      showBottomButtun: false,
      saoList: [
        { font: "关闭", fontActive: false },
        { font: "自由风", fontActive: false },
        { font: "扫风", fontActive: true },
        { font: "避人吹", fontActive: false },
        { font: "对人吹", fontActive: false },
      ],
      saoList2: [
        { font: "关闭", fontActive: false },
        { font: "自由风", fontActive: false },
        { font: "扫风", fontActive: true },
        { font: "避人吹", fontActive: false },
        { font: "对人吹", fontActive: false },
      ],
      saofengSelection: {
        //是否显示扫风
        left: true,
        mid: true,
        right: true,
      },
      bottomSelection: {
        //底部选择款
        select1: false,
        select2: true,
        select3: false,
      },
      navList: [
        { iconName: "home_off", itemSpan: "开", itemFont: "", active: false },
        { iconName: "", itemSpan: "", itemFont: "自动", active: false },
        { iconName: "", itemSpan: "", itemFont: "A / C", active: false },
        {
          iconName: "air_clod",
          itemSpan2: "最大",
          itemFont: "",
          active: false,
        },
        { iconName: "", itemSpan: "", itemFont: "通风", active: false },
        { iconName: "home_front", itemSpan: "前", itemFont: "", active: false },
        { iconName: "air_dang", itemSpan: "", itemFont: "", active: false },
        { iconName: "air_wai", itemSpan: "", itemFont: "", active: true },
        { iconName: "", itemSpan: "", itemFont: "负离子", active: false },
      ],
      activeIndex: 0,
    };
  },
  components: {
    TempVerticalModel,
    AirStrip
  },
  watch: {
    navList: {
      //当c变化后会回调handler函数
      handler: function (val) {
        if (val[0].active) {
          if (val[5].active) {
            if (val[4].active) {
              this.conditionerBg = "samBk4";
            } else {
              this.conditionerBg = "samBk2";
            }
          } else {
            if (val[4].active) {
              this.conditionerBg = "samBk1";
            } else {
              this.conditionerBg = "samBk3";
            }
          }
          this.showBottomButtun = true;
        } else {
          this.conditionerBg = "samBk5";
          this.showBottomButtun = false;
        }
      },
      deep: true,
    },
  },
  methods: {
    changeBottomSelect(item) {
      this.bottomSelection[item] = !this.bottomSelection[item];
    },
    changeSaoFeng(item) {
        this.saofengSelection[item] = !this.saofengSelection[item];
    },
    selectSaoFeng(obj) { 
      console.log(obj);
      if (obj.tag == 'left') {
        this.saoList.some((item) => { 
          if (item.font == obj.font) {
            item.fontActive = true
          } else { 
            item.fontActive = false
          }
        })
      }
      else if(obj.tag == 'right'){ 
        this.saoList2.some((item) => {
          if (item.font == obj.font) {
            item.fontActive = true
          } else {
            item.fontActive = false
          }
        })
      }
  
    },
    changeNav(index) {
      if (index == 0) {
        if (this.navList[0].active == false) {
          this.navList[index].active = true;
          this.navList[2].active = true;
        } else {
          this.navList.forEach((item) => {
            item.active = false;
          });
          this.navList[7].active = true;
        }
      }
      if (index == 1 && this.navList[0].active == true) {
        this.navList[1].active = !this.navList[1].active;
        this.navList[2].active = true;
        this.navList[5].active = false;
        this.navList[3].active = false;
      }
      if (index == 2) {
        this.navList[index].active = !this.navList[index].active;
      }
      if (index == 3) {
        if (this.navList[0].active == true) {
          this.navList[3].active = !this.navList[3].active;
          this.navList[1].active = !this.navList[3].active;
          this.navList[2].active = true;
          this.navList[4].active = false;
        } else {
          this.navList[0].active = true;
          this.navList[2].active = true;
          this.navList[3].active = true;
        }
      }
      if (index == 4) {
        if (this.navList[0].active == true) {
          this.navList[4].active = !this.navList[4].active;
          this.navList[2].active = !this.navList[4].active;
          this.navList[3].active = !this.navList[4].active;
        } else {
          this.navList[0].active = true;
          this.navList[4].active = true;
        }
      }
      if (index == 5) {
        if (this.navList[0].active == true) {
          this.navList[5].active = !this.navList[5].active;
        }
      }
      if (index == 6) {
        this.navList[6].active = !this.navList[6].active;
      }
      if (index == 7) {
        if (this.navList[7].iconName == "air_nei") {
          this.navList[7].iconName = "air_wai";
        } else {
          this.navList[7].iconName = "air_nei";
        }
      }
      if (index == 8) {
        this.navList[8].active = !this.navList[8].active;
      }
    },
  },
  computed: {

  }
 
};
</script>
<style scoped lang="scss">
.airConditioner-warp {
  width: 100%;
  height: 100%;
  position: relative;
  background-size: 1918px 1090px;
  background-position: -270px -100px;
}

.airConditioner-right-header {
  width: 1515px;
  margin-left: 88px;
  height: 76px;
  display: flex;
  justify-content: space-between;

  .airConditioner-right-header-item {
    width: 148px;
    height: 76px;
    border-radius: 37px;
    background: #fffffe;
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 30px;
    color: #383838;

    span {
      font-size: 18px;
      margin-left: 4px;
      margin-top: 20px;
      transform: scale(0.7);
    }

    .itemSpan2 {
      margin: 0;
    }

    .home_off {
      width: 41.36px;
      height: 41.36px;
    }

    .air_clod {
      width: 33.47px;
      height: 30.05px;
    }

    .home_front {
      width: 48.09px;
      height: 26.05px;
      transform: scale(1.6);
    }

    .air_wai {
      width: 92px;
      height: 55px;
    }

    .air_nei {
      width: 92px;
      height: 55px;
    }

    .air_dang {
      width: 69.8px;
      height: 35.89px;
    }
  }

  .item-active {
    background: linear-gradient(270deg, #60b7db 1%, #479af1 99%);
    color: #fffffe;
  }
}

.airConditioner-right-contentLeft {
  position: absolute;
  left: 64px;
  top: 200px;
}

.airConditioner-right-contentRight {
  position: absolute;
  right: 44px;
  top: 200px;
}

.airConditioner-right-contentBottom {
  width: calc(100% - 230px);
  height: 100px;
  position: absolute;
  bottom: -30px;
  display: flex;

  .contentBottomButtun {
    width: 134px;
    height: 63px;
    background: linear-gradient(270deg, #52b3e1 0%, #4698f2 100%);
    border-radius: 31px 31px 31px 31px;
    opacity: 1;
    margin-right: 98px;
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 28px;
    color: #fefefe;
    align-self: flex-end;
    margin-bottom: 14px;
  }

  .contentBottomMid {
    width: 380px;
    height: 100px;
    background: #feffff;
    border-radius: 50px 50px 50px 50px;
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 0 54px;
    box-sizing: border-box;

    .air-zuo-icon {
      width: 44.19px;
      height: 47.28px;
      color: #3b3a3a;
    }

    .active {
      color: #6cabf2;
    }
  }

  .contentBottomRight {
    margin-left: 30px;
    width: 749.26px;
    height: 99.54px;
    border-radius: 49.77px;
    opacity: 1;
    background: #feffff;
  }
}

.airConditioner-right-contentBottom-buttun {
  width: 100%;
  height: 78px;
  display: flex;
  justify-content: center;
  position: absolute;
  bottom: 109px;

  .buttun-warp {
    width: 149px;
    position: relative;
    display: flex;

    .active {
      color: #ffffff;
      background: linear-gradient(270deg, #60b7db 1%, #479af1 99%);
    }
  }

  .buttun1 {
    width: 149px;
    height: 74px;
    opacity: 1;
    text-align: center;
    line-height: 74px;
    font-size: 30px;
    border-radius: 39px;
    color: #000000;
    background: #ffffff;
  }

  .buttun2 {
    width: 181px;
    height: 78px;
    background: #ffffff;
    text-align: center;
    line-height: 78px;
    font-size: 30px;
    color: #000000;
    border-radius: 39px;
    display: flex;
    align-items: center;
    position: absolute;
  }

  .buttun-right {
    left: 170px;
  }

  .buttun-left {
    right: 170px;
  }

  .buttun3 {
    width: 550.61px;
    height: 78.2px;
    border-radius: 39px;
    padding: 0 27px;
    box-sizing: border-box;
    display: flex;
    align-items: center;
    justify-content: space-between;
    font-size: 28px;
    color: #000000;
    background: #ffffff;
    position: absolute;
  }

  .acitve {
    color: #58afe9;
  }

  .air_lefts {
    width: 14px;
    height: 24px;
    margin-left: 23px;
    margin-right: 31px;
  }

  .air_rights {
    width: 20px;
    height: 30px;
    margin-left: 30px;
    margin-right: 22px;
  }

  .marginZLeft {
    width: 100%;
    text-align: right;
    padding-right:3px;
    // margin-left: 46px;
  }
}
</style>
